#!/ioc/tools/iocsh

require sinq,brambilla_m
#require sinq,koennecke

epicsEnvSet("TOP","/afs/psi.ch/project/sinqdev/sinqepicsapp/testpmacV3")

epicsEnvSet("EPICS_CA_ADDR_LIST","127.0.0.1")

epicsEnvSet("STREAM_PROTOCOL_PATH","$(TOP)/db")


var streamDebug 3

# motors

pmacAsynIPConfigure("pmacV3", "129.129.138.234:1025")
pmacV3CreateController("mcu","pmacV3",0,16,50,1000);
pmacV3CreateAxis("mcu",2,0);
pmacV3CreateAxis("mcu",6,0);
pmacV3CreateAxis("mcu",10,0);
dbLoadTemplate "$(TOP)/mcu.substitutions"
dbLoadRecords("$(TOP)/db/asynRecord.db","P=SQ:TEST:,R=mcu,PORT=pmacV3,ADDR=0,OMAX=80,IMAX=80")

iocInit
